Update an event property
Update an existing property in a custom event definition.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the event whose property you want to update.
The unique identifier of the property to be updated within the specified event.
Body
A description of the property that will be shown as help text in HubSpot.
Human readable label for the property. Used in HubSpot UI
A list of available options for the property if it is an enumeration. NOTE: This field is only applicable for enumerated properties.
Response
successful operation
A HubSpot property
A description of the property.
The field type of the property.
The name of the group to which this property belongs.
The display label for the property.
The unique name of the property.
An array of options available for this property, each defined by a label, value, and other attributes.
The data type of the property.
Indicates whether the property is archived.
The date and time when this property was archived, in ISO 8601 format.
Indicates whether the property is calculated.
The formula used to calculate the property, if applicable.
The date and time when this property was created, in ISO 8601 format.
The ID of the user who created this property.
The name of the currency property associated with this property.
The sensitivity level of the data. Valid values include 'non_sensitive', 'sensitive', and 'highly_sensitive'.
highly_sensitive, non_sensitive, sensitive A hint for how date values should be displayed. Valid values include 'absolute', 'absolute_with_relative', 'time_since', and 'time_until'.
absolute, absolute_with_relative, time_since, time_until The order in which this property is displayed.
Indicates whether the property options are external.
Indicates whether the property is a form field.
Indicates whether the property has a unique value.
Indicates whether the property is hidden.
false
Indicates whether the property is defined by HubSpot.
A hint for how number values should be displayed. Valid values include 'unformatted', 'formatted', 'currency', 'percentage', 'duration', and 'probability'.
currency, duration, formatted, percentage, probability, unformatted The type of object that this property references.
An array of categories indicating the sensitivity of the data contained in the property.
Indicates whether a currency symbol is shown for the property.
A hint for how text values should be displayed. Valid values include 'unformatted_single_line', 'multi_line', 'email', 'phone_number', 'domain_name', 'ip_address', 'physical_address', and 'postal_code'.
domain_name, email, ip_address, multi_line, phone_number, physical_address, postal_code, unformatted_single_line The date and time when this property was last updated, in ISO 8601 format.
The ID of the user who last updated this property.